# Uses of Interface
org.eclipse.mat.parser.index.IIndexReader.IOne2ManyIndex

Packages that use IIndexReader.IOne2ManyIndex
Package
Description
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).

## Uses of IIndexReader.IOne2ManyIndex in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IIndexReader.IOne2ManyIndex
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setOutbound(IIndexReader.IOne2ManyIndex outbound)`
store the object to outbound references table.

## Uses of IIndexReader.IOne2ManyIndex in org.eclipse.mat.parser.index

Subinterfaces of IIndexReader.IOne2ManyIndex in org.eclipse.mat.parser.index
Modifier and Type
Interface
Description
`static interface`
`IIndexReader.IOne2ManyObjectsIndex`
Index from object id to several object ids.
Classes in org.eclipse.mat.parser.index that implement IIndexReader.IOne2ManyIndex
Modifier and Type
Class
Description
`static class`
`IndexReader.IntIndex1NSortedReader`
Fields in org.eclipse.mat.parser.index declared as IIndexReader.IOne2ManyIndex
Modifier and Type
Field
Description
`IIndexReader.IOne2ManyIndex`
IndexManager.`domOut`
The dominator tree index from an object to the objects it dominates
`IIndexReader.IOne2ManyIndex`
IndexManager.`outbound`
The index for objects showing what they refer to
Methods in org.eclipse.mat.parser.index that return IIndexReader.IOne2ManyIndex
Modifier and Type
Method
Description
`IIndexReader.IOne2ManyIndex`
IndexManager.`dominated()`
The index reader from each object to the objects it dominates
`IIndexReader.IOne2ManyIndex`
IndexWriter.IntArray1NUncompressedCollector.`flush()`
Write the in memory version to disk and return the reader.
`IIndexReader.IOne2ManyIndex`
IndexWriter.IntArray1NWriter.`flush()`
Finishes writing out everything
`IIndexReader.IOne2ManyIndex`
IndexManager.`inbound()`
The inbounds index for each object to its inbound references.
`IIndexReader.IOne2ManyIndex`
IndexManager.`outbound()`
The inbounds index for each object to its outbound references.

## Uses of IIndexReader.IOne2ManyIndex in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot with parameters of type IIndexReader.IOne2ManyIndex
Modifier and Type
Method
Description
`static IObjectMarker`
ObjectMarkerFactory.`getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
`static IObjectMarker`
ObjectMarkerFactory.`getObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`
Constructors in org.eclipse.mat.parser.internal.snapshot with parameters of type IIndexReader.IOne2ManyIndex
Modifier
Constructor
Description
``
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
``
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`
``
`ObjectMarkerOld(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
``
`ObjectMarkerOld(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`